# $Revision: 1.9 $, $Date: 2012/05/17 20:20:24 $
Summary:	Time Out plugin for the Xfce panel
Summary(pl.UTF-8):	Wtyczka upływu czasu dla panelu Xfce
Name:		xfce4-time-out-plugin
Version:	1.0.1
Release:	2
License:	GPL v2
Group:		X11/Applications
Source0:	http://archive.xfce.org/src/panel-plugins/xfce4-time-out-plugin/1.0/%{name}-%{version}.tar.bz2
# Source0-md5:	b6e4a3145d31c341e2506fb17b014587
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-time-out-plugin
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.8
BuildRequires:	gtk+2-devel >= 2:2.8.0
BuildRequires:	intltool
BuildRequires:	libxfce4ui-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	xfce4-dev-tools >= 4.4.0
BuildRequires:	xfce4-panel-devel >= 4.4.0
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	xfce4-panel >= 4.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Time Out plugin makes it possible to take periodical breaks from the
computer every X minutes. During breaks it locks your screen. It
optionally allows you to postpone breaks for a certain time.

%description -l pl.UTF-8
Wtyczka Time Out umożliwia robienie regularnych przerw od komputera co
każde X minut. W czasie przerw blokuje ekran. Opcjonalnie pozwala
odłożyć przerwy na określony czas.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xfce4/panel/plugins/*.la
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/ur_PK

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libtime-out.so
%{_iconsdir}/hicolor/48x48/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_datadir}/xfce4/panel/plugins/xfce4-time-out-plugin.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xfce4-time-out-plugin.spec,v $
Revision 1.9  2012/05/17 20:20:24  baggins
- release 2

Revision 1.8  2012/05/11 12:58:54  baggins
- up to 1.0.1
- ported to xfceui
- built as module

Revision 1.7  2011/03/01 13:13:46  baggins
- rel 2
- port to libxfce4ui

Revision 1.6  2011/02/15 12:31:44  megabajt
- updated to 1.0.0

Revision 1.5  2011/02/04 18:24:10  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.4  2007/07/27 20:08:52  megabajt
- updated to 0.1.1

Revision 1.3  2007/05/27 18:37:47  qboosh
- BR: pkgconfig, gtk+2 >= 2.8.0

Revision 1.2  2007/05/27 17:47:32  qboosh
- pl

Revision 1.1  2007/05/26 14:37:21  megabajt
- new
